

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
            <div class="col-sm-6">
                <h1 class="m-0">Subscription packages</h1>
            </div><!-- /.col -->
            
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
        </div>
        <!-- /.content-header -->

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
            <!-- Small boxes (Stat box) -->
            
            <!-- /.row -->
            <!-- Main row -->
            
            <!-- /.row (main row) -->
            </div><!-- /.container-fluid -->
            <div class="container-fluid">
    
    
    
    
    
    
        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
            
            <div class="row">
                <div class="col-12">
                
                        <!-- general form elements -->
                        <div class="card card-primary">
                        <div class="card-header">
                            <h3 class="card-title">Abonnementpaket bearbeiten</h3>
                        </div>
                        <!-- /.card-header -->
                        <!-- form start -->
                        <form>
                            <div class="card-body">
                            
                            <div class="form-group">
                                <label for="Package">Paquet</label>
                                <input type="email" class="form-control" id="Package" placeholder="Entrer le paquet" value=<%= subpackage.package %>>
                                <input type="hidden" id="elementid" value=<%= subpackage._id %>>
                            </div>
                            <div class="form-group">
                                <label for="Price">Prix</label>
                                <input type="number" class="form-control" id="Price" placeholder="Entrez le prix" value=<%= subpackage.price %>>
                            </div>
                            <div class="form-group">
                                <label for="Duration">Jours</label>
                                <input type="text" class="form-control" id="Duration" placeholder="Entrez la durée du paquet" value=<%= subpackage.duration %>>
                            </div>
                            <div class="form-group">
                                <label for="Duration">Type</label>
                            <select class="form-control" id="package_type" name="package_type">
                               
                                <option value="">Sélectionnez le type de forfait</option>
                                <option value="En ligne">En ligne</option>
                                <option value="Hors ligne">Hors ligne</option>
                               
                              </select>
                            </div>
                            <div class="form-group">
                                <label for="Description">Description</label>
                                <textarea class="form-control" id="Description" placeholder="Entrez la description" rows="4"><%= subpackage.description %></textarea>

                            </div>
                            </div>
                            <!-- /.card-body -->
            
                            <div class="card-footer">
                            <button type="button" class="btn btn-primary" onclick="handlesubmit()">Mise à jour</button>
                            </div>
                        </form>
                        </div>
                      
                <!-- /.card -->
    
            
                <!-- /.card -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
            </div>
            <!-- /.container-fluid -->
        </section>
        <!-- /.content -->
        
    
    
    <script>
        $(function () {
        $("#example1").DataTable({
            "responsive": true, "lengthChange": false, "autoWidth": false,
            "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
        }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
        $('#example2').DataTable({
            "paging": true,
            "lengthChange": false,
            "searching": false,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "responsive": true,
        });
        });
        function handlesubmit(){
            var package = document.getElementById("Package").value;
            var price = document.getElementById("Price").value;
            var duration = document.getElementById("Duration").value;
            var description = document.getElementById("Description").value;
            var elementid = document.getElementById("elementid").value;
            var package_type = document.getElementById("package_type").value;
            var data = {
                "package": package,
                "price": price,
                "duration": duration,
                "description": description,
                "elementid": elementid,
                "type": package_type
            };
            var base_url="<%= base_url %>";
            var url= base_url+"updatesubpackage";
            const requestOptions = {
            method: 'POST',
            headers: { 'Content-Type': 'application/json' },
            body: JSON.stringify(data)
        };
        fetch(url, requestOptions)
        .then(response => response.json())
        .then(data => {
            if(data.status){
                toastr.success(data.message);
                setTimeout(function(){
                    window.location.href=base_url+"managesubscriptionpackages";
                },1000);
            }else{
                toastr.error(data.message);
            }
        })
            }
    </script>
    
    
            </div>
        
        </section>
    
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
  
    </div>
    <!-- ./wrapper -->
